Player.saveDataToXMLFile = Utils.prependedFunction(Player.saveDataToXMLFile, function(xmlFile, playerData, baseKey)
    local player = g_playerSystem:getPlayerByUniqueId(playerData.uniqueId)
    if player ~= nil then
        local position, yaw = nil, nil
        -- maybe save the vehicle, but it could be moved in multiplayer
        if player:getIsInVehicle() then
            local currentVehicle = player:getCurrentVehicle()
            if currentVehicle ~= nil then
                local exitPoint = currentVehicle:getExitNode(player)
                if exitPoint ~= nil then
                    local x, y, z = getWorldTranslation(exitPoint)
                    y = math.max(getTerrainHeightAtWorldPos(g_currentMission.terrainRootNode, x, 300, z) + 0.1, y + 0.9)
                    local dx, _, dz = localDirectionToWorld(exitPoint, 0, 0, 1)
                    position = {x, y, z}
                    yaw = MathUtil.getYRotationFromDirection(dx, dz)
                end
            end
        else
            position = {player:getPosition()}
            yaw = player:getYaw()
        end
        playerData.spawnPositionX, playerData.spawnPositionY, playerData.spawnPositionZ = table.unpack(position)
        playerData.spawnYaw = yaw
    end
end)